Name: bzip2
%define	v_major	1
%define	v_minor	0
%define	v_patch	2
Version: %v_major.%v_minor.%v_patch
Release: alt9
Serial: 1

Summary: Extremely powerful file compression utility
License: BSD
Group: Archiving/Compression
Url: http://sources.redhat.com/%name/

Source: ftp://sources.redhat.com/pub/%name/v102/%name-%version.tar.bz2
Source1: zme
Source2: bzlib_triggerpostun.c

Patch1: %name-1.0.1-configure-libtool-versioning.patch
Patch2: %name-1.0.2-alt-bzdiff-tmp.patch

Provides: /bin/bunzip, /bin/bunzip2, /bin/bzcat, /bin/bzip, /bin/bzip2
PreReq: bzlib = %version-%release

BuildPreReq: autoconf = 2.13, automake = 1.4, libtool = 1.4.3, rpm-build >= 4.0.4-alt10

# Automatically added by buildreq on Tue Sep 03 2002
BuildRequires: glibc-devel-static

%package -n bzlib
Summary: The bzlib compression and decompression library
Summary(ru_RU.KOI8-R):    bzlib
Group: System/Libraries
Provides: libbz2.so.%v_major.%v_minor, libbz2.so.%v_major, libbz2.so.0, libbz2.so.0.9
Provides: /sbin/bzlib_triggerpostun

%package -n bzlib-devel
Summary: Include files for developing apps which will use %name
Group: Development/C
Provides: %name-devel = %version, libbz2.so
Obsoletes: %name-devel
PreReq: bzlib = %version-%release
Requires(post): %install_info
Requires(preun): %uninstall_info

%package -n bzlib-devel-static
Summary: Static library for developing apps which will use %name
Group: Development/C
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static
Requires: bzlib-devel = %version-%release

%package utils
Summary: Utilities for handy use of the %name
Group: Archiving/Compression
Requires: %name = %version-%release
Requires: mktemp >= 1:1.3.1

%package doc
Summary: Documentation for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding.  Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of statistical
compressors.

The command-line options are deliberately very similar to those of GNU Gzip,
but they are not identical.

%description -n bzlib
The %name compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  The %name library is used by many different system programs.

%description -n bzlib-devel
The %name-devel package contains the include files needed
to develop programs that use the %name compression
and decompression library.

%description -n bzlib-devel-static
The %name-devel-static package contains the static library needed
to develop statically linked programs that use the %name compression
and decompression library.

%description utils
This packages contains several handy utilities for work with
%name-compressed files.

%description doc
The %name-doc package contains Postscript and HTML documentation needed
to develop programs that use the %name compression and decompression library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
chmod a+x install-sh

%build
%define _optlevel 3
%add_optflags -momit-leaf-frame-pointer

install -p -m644 %_datadir/automake/texinfo.tex .
%set_autoconf_version 2.13
%set_automake_version 1.4
%set_libtool_version 1.4
libtoolize --copy --force
aclocal -I .
autoheader
automake
autoconf
%configure --enable-shared --enable-static
%make_build
gcc -Wall -Os -static -DVERSION='"%version"' $RPM_SOURCE_DIR/bzlib_triggerpostun.c \
	-o bzlib_triggerpostun

%install
%makeinstall

pushd $RPM_BUILD_ROOT
	%__mkdir_p ./bin ./sbin
	%__mv .%_bindir/* ./bin

	for f in bunzip2 bzip bunzip bzcat; do
		%__ln_s -nf bzip2 "./bin/$f"
		%__ln_s -nf "../../bin/$f" ".%_bindir/$f"
		%__ln_s bzip2.1 ".%_man1dir/$f.1"
	done
	for f in bzip2recover; do
		%__ln_s -nf "../../bin/$f" ".%_bindir/$f"
		%__ln_s bzip2.1 ".%_man1dir/$f.1"
	done
	%__ln_s -nf ../../bin/%name .%_bindir/

	%__ln_s zme .%_bindir/bzme
	%__ln_s bzdiff .%_bindir/bzcmp
	%__ln_s bzgrep .%_bindir/bzfgrep
	%__ln_s bzgrep .%_bindir/bzegrep

	%__mkdir_p ./lib
	mv .%_libdir/*.so.* ./lib
	for f in so.%v_major.%v_minor so.%v_major so.0.9 so.0; do
		%__ln_s -nf libbz2.so.%version "./lib/libbz2.$f"
	done
	for f in so; do
		%__ln_s -nf ../../lib/libbz2.so.%version ".%_libdir/libbz2.$f"
	done
popd

%__install -p -m755 bzdiff bzgrep %SOURCE1 $RPM_BUILD_ROOT%_bindir/
%__install -p -m700 bzlib_triggerpostun $RPM_BUILD_ROOT/sbin/

%define docdir %_docdir/%name-%version
%__rm -rf $RPM_BUILD_ROOT%docdir
%__mkdir_p $RPM_BUILD_ROOT%docdir
%__install -p -m644 AUTHORS COPYING README Y2K_INFO NEWS *.html $RPM_BUILD_ROOT%docdir/

%set_strip_method executable shared

%post -n bzlib -p %post_ldconfig_sys
%postun -n bzlib -p %postun_ldconfig
%triggerpostun -n bzlib -p /sbin/bzlib_triggerpostun -- bzlib < 1:1.0.2

%post -n bzlib-devel
%install_info %name.info

%preun -n bzlib-devel
%uninstall_info %name.info

%files -n bzlib
/lib/*
/sbin/bzlib_triggerpostun

%files -n bzlib-devel
%_libdir/*.so
%_includedir/*
%_infodir/*.info*

%files -n bzlib-devel-static
%_libdir/*.a

%files
/bin/*
%_bindir/b*zip*
%_bindir/bzcat
%_man1dir/b*zip*.*
%_man1dir/bzcat.*
%dir %docdir
%docdir/[A-Z]*

%files utils
%_bindir/bzcmp
%_bindir/bzdiff
%_bindir/bzegrep
%_bindir/bzfgrep
%_bindir/bzgrep
%_bindir/*zme
%_man1dir/bzcmp.*
%_man1dir/bzdiff.*
%_man1dir/bzegrep.*
%_man1dir/bzfgrep.*
%_man1dir/bzgrep.*

%files doc
%dir %docdir
%docdir/*.html

%changelog
* Tue Nov 25 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.0.2-alt9
- Do not package .la files.
- Updated URLs (#3313).

* Wed Aug 20 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.0.2-alt8
- Explicitly use old libtool for build.

* Thu Apr 24 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.0.2-alt7
- bzlib: Provides: /sbin/bzlib_triggerpostun.

* Fri Nov 01 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.0.2-alt6
- Explicitly use autoconf-2.13 and automake-1.4 for build.

* Tue Sep 03 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.0.2-alt5
- Updated %post/%postun scripts.
- Updated devel-static requirements.

* Wed Jun 12 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.0.2-alt4
- Added "Provides: /bin/bunzip, /bin/bunzip2, /bin/bzcat,
  /bin/bzip, /bin/bzip2" to bzip2 subpackage.

* Thu Jun 06 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.0.2-alt3
- Resurrected bzip2recover (thanks to Nikita Gergel).

* Thu Apr 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.0.2-alt2
- bzlib: added trigger to repair compatibility symlink.

* Mon Feb 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:1.0.2-alt1
- 1.0.2 (bugfix release).
- Moved utilities to bzip2-utils subpackage.

* Tue Nov 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.0.1-alt2
- Relocated texinfo documentation to bzlib-devel subpackage.

* Fri Oct 26 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:1.0.1-alt1
- Added libtool/configure support.
- Added symbol versioning.
- Implemented support for both 0.9 and 1.0 bzlib interfaces.
- Corrected libification.
- Added texinfo documentation.

* Tue Jun 05 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.1-ipl8mdk
- Updated requires.

* Fri May 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.1-ipl7mdk
- Fixed broken symlink for libbz2.so
- Moved static library to devel-static subpackage.

* Sat Jan 27 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl6mdk
- Moved bzip2 from %_bindir to /bin (but keep links to old place).
- Explicit set strip methods.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl5mdk
- Commented out translations in specfile for a while.

* Sat Dec 02 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl4mdk
- Moved bzgrep from %name to %name-devel.
- Moved "Provides: libbz2.so" from bzlib to bzip2-devel.

* Tue Nov 28 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl3mdk
- Moved library into separate subpackage (bzlib).
- Added libbz2.so.1 to bzlib explicit provides list.
- Updated zme script (more robust to user input).

* Tue Aug 29 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl2mdk
- Moved bzless to less package.

* Mon Jun 26 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.1-ipl1mdk
- 1.0.1
- Added URL.
- FHSification.

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.0-ipl1mdk
- Revert to previous naming scheme for exported symbol (without BZ2_ prefixes).
- Provides: libbz2.so (for compatibility with old applications).

* Wed May 17 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.0-1mdk.ldv
- 1.0.0

* Thu Apr 27 2000 Dmitry V. Levin <ldv@fandra.org> 1.0pre7-1mdk.ldv
- merged with Fandra version: new zme script

* Wed Apr 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0pre5-1mdk
- new symlinks for Lord Jeff : bzip & bunzip
- 1.0 pre-release for Lord Chmou

* Wed Mar 22 2000 Pixel <pixel@mandrakesoft.com> 0.9.5d-7mdk
- remove provides bzip2

* Wed Mar 21 2000 Daouda LO <daouda@mandrakesoft.com> 0.9.5d-6mdk
- change to new group architecture

* Sat Mar  4 2000 Pixel <pixel@mandrakesoft.com> 0.9.5d-5mdk
- remove the silly commented out chmod in %post
(that way, bzip2 don't need /bin/sh anymore)

* Thu Mar 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bzme script : now it use a lot less disk space.

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add bzme script

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Thu Sep 16 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.5d (sanity fixes such as warnings killers casts)

* Wed Aug 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- No really, allow users into the docdir.. (don't put %%attr on %%doc files)

* Wed Aug 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- %%defattr(-,root,root,755)

* Tue Aug 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in the spec
- clean spec

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions on doc

* Wed Aug 11 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.5c

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to 0.9.5b
- remove unused patch
- merge all packages in one
- clean spec

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- added overly redundant provides to help clean up install.log's

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a bzgrep script.

* Fri Apr 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Add patch to permit the bunzip2 on link.

* Thu Jan 14 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- version 0.9.0c

* Sun Nov 29 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- remove CC="egcs" - we want to compile with pgcc
- bzip2 manpages
- build a shared libbz2.so; move libbz2 and bzlib.h to bzip2-devel

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- force compilation with egcs to avoid gcc optimization bug (thank God
  we haven't been beaten by it)

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.9.0b

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.9.0

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- first build for Manhattan
